Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Matt_C_1
Beginner
44 Views

2015R6 on SLES 12 SP1

We have been using IMSS Essentials (and IMSDK before that) in our video streaming product on SLES 12 for the past few years. The current SLES 12 iteration of our product is using the rpm packages and patches that were included in the SLES directory of 2015R6.  We understand from the MSS documentation that 2015R6 is the last release that will support SLES as a "gold" platform.  

However, we are still going to need to support the use of MSS in our product on SLES going forward. Of immediate concern is that we have a requirement to move to SLES 12 SP1 as our OS platform. The SLES 12 SP1 kernel has a different kernel binary interface (kABI)  than that of SLES 12 which renders the kernel drivers in the drm-kmp-default package included in MSS 2015R6 incompatible with SLES 12 SP1.  Ideally, we would like to keep using MSS 2015R6 SLES 12 packages on SLES 12 SP1 if possible.  Would there be any way for us to obtain the src rpm for the drm-kmp-default package so that we could recompile the kernel modules to be binary compatible with the kernel in SLES 12 SP1?

The SLES 12 kernel supported by the original drm-kmp-default modules was 3.12.32.  The kernel that has shipped with SLES 12 SP1 is 3.12.49.  I don't know if there have been any API changes that would render the drivers uncompilable on SP1.  We'd at least like to try to recompile the modules in any event, if that's possible.

 

 

0 Kudos
1 Reply
Jeffrey_M_Intel1
Employee
44 Views

Following up separately.  For forum readers in general, we want to minimize difficulties from OS support changes and welcome your feedback. 

Reply